# FoundationClasses
TKernel
NCollection

# NCollection_SparseArray< TheItemType >::ConstIterator Class Reference

`#include <NCollection_SparseArray.hxx>`

Inheritance diagram for NCollection_SparseArray< TheItemType >::ConstIterator:

[legend]

## Public Member Functions

| ConstIterator ()
| Empty constructor - for later Init.
| ConstIterator (const NCollection_SparseArray &theVector)
| Constructor with initialisation.
void | Init (const NCollection_SparseArray &theVector)
| Initialisation.
const TheItemType & | Value (void) const
| Constant value access.
const TheItemType & | operator() (void) const
| Constant value access operator.
Standard_Integer | Key (void) const
| Access current index with 'a-la map' interface.

## Detailed Description

### template<class TheItemType>
class NCollection_SparseArray< TheItemType >::ConstIterator

Implementation of type-specific const Iterator class

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_SparseArray< TheItemType >::ConstIterator::ConstIterator | ( |  | ) | `[inline]`

template<class TheItemType>
NCollection_SparseArray< TheItemType >::ConstIterator::ConstIterator | ( | const NCollection_SparseArray & | theVector | ) | `[inline]`

## Member Function Documentation

template<class TheItemType>
void NCollection_SparseArray< TheItemType >::ConstIterator::Init | ( | const NCollection_SparseArray & | theVector | ) | `[inline]`

| Reimplemented in NCollection_SparseArray< TheItemType >::Iterator.

template<class TheItemType>
Standard_Integer NCollection_SparseArray< TheItemType >::ConstIterator::Key | ( | void |  | ) | const`[inline]`

template<class TheItemType>
const TheItemType& NCollection_SparseArray< TheItemType >::ConstIterator::operator() | ( | void |  | ) | const`[inline]`

| Reimplemented in NCollection_SparseArray< TheItemType >::Iterator.

template<class TheItemType>
const TheItemType& NCollection_SparseArray< TheItemType >::ConstIterator::Value | ( | void |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- NCollection_SparseArray.hxx